%define module_name	slmodem
%define module_version	2.9.11
%define module_release	alt6

%define kversion	2.6.18
%define krelease	alt12.M40.3
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	slmodem kernel modules for SmartLink Soft Modems support
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132626.12.M40.3

License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch0:		slmodem-2.9.11-alt-install.patch
# http://helllabs.org/patch/20070710_slmodem/slmodem-2.9.11-alsa-period-size.patch
Patch1:		slmodem-2.9.11-alsa-period-size.patch

ExclusiveOS:	Linux
URL:		http://linmodems.technion.ac.il/packages/smartlink/
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version-alt3

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86
Requires:	slmodemd


%description
slmodem kernel modules for SmartLink Soft Modems support.

These are modules for your ALT Linux system

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%patch0 -p1
%patch1 -p1
%__subst "s,\/sbin\/depmod -a,," drivers/Makefile

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour drivers

%install
%__mkdir_p %buildroot%module_dir

pushd drivers
%__make install DESTDIR=$RPM_BUILD_ROOT KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour module-dir=%buildroot%module_dir
popd

%__install -d %buildroot%_docdir/%name-%version-%release
%__install -p -m644 Changes README %buildroot%_docdir/%name-%version-%release/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%doc %_docdir/%name-%version-%release
%defattr(644,root,root,755)
%module_dir

%changelog
* Wed Jul 16 2008 Michail Yakushin <silicium@altlinux.ru> 2.9.11-alt6.132626.12.M40.3
- Build for kernel-image-std-pae-2.6.18-alt12.M40.3.

* Tue Oct 16 2007 L.A. Kostis <lakostis@altlinux.ru> 2.9.11-alt6
- add fix for new period size in alsa.
- fix description.

* Wed Sep 26 2007 L.A. Kostis <lakostis@altlinux.ru> 2.9.11-alt5
- New snapshot (20070813).
- More strict kernel-source requires.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 2.9.11-alt4
- Removed unneeded "Prereq: modutils".

* Sun Dec 10 2006 L.A. Kostis <lakostis@altlinux.ru> 2.9.11-alt3
- new snapshot (20061021).
- remove obsoleted patches.
- strict kernel-source requires.

* Sat Mar 11 2006 Sergey Vlasov <vsu@altlinux.ru> 2.9.11-alt2
- Added:
  + slmodem-2.9.11-alt-usb_driver-owner.patch: fix compilation with kernel
    2.6.16 (which no longer has the .owner field in struct usb_driver).

* Sun Jan 08 2006 LAKostis <lakostis at altlinux.ru> 2.9.11-alt1
- Updated for 2.9.11.
- Clean out obsoleted URB_ASYNC_UNLINK from drivers/st7554.c.
- Remove obsoleted patches.
- .spec cleanup.

* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.10-alt4
- Added Provides and Requires needed for correct upgrades.

* Thu May 12 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.10-alt3
- fix build failure at %%install with 2.4.x kernels

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.10-alt2
- fix build failure in userspace part (which should not be built here at all)
- install docs in a release-specific directory to avoid conflicts if builds of
  the same version for different kernel releases are installed

* Tue Apr 26 2005 Grigory Milev <week@altlinux.ru> 2.9.10-alt1
- new version released
- now work with 2.6.10 and later kernels
- minor spec cleanup

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt8
- Added patches to fix build with kernel 2.6.10.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt7
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt6
- Rebuild for kernel 2.4.27.

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt5
- Fixed build with kernel 2.6.8.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt4
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Mon May 17 2004 Anton Farygin <rider@altlinux.ru> 2.9.6-alt3
- URL fixed
- fixed install for kernel 2.6 and 2.4, added slusb module

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.6-alt2
- Rebuild for kernel 2.4.26.

* Mon Apr 26 2004 Grigory Milev <week@altlinux.ru> 2.9.6-alt1
- new version released

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2.9.5-alt2
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.9.5-alt1
- Initial build

